import { Headers as NodeHeaders, Request as NodeRequest } from "@remix-run/node";
import type { CloudFrontRequestEvent, CloudFrontRequestHandler, CloudFrontHeaders } from "aws-lambda";
import type { AppLoadContext, ServerBuild } from "@remix-run/server-runtime";
export interface GetLoadContextFunction {
    (event: CloudFrontRequestEvent): AppLoadContext;
}
export declare type RequestHandler = ReturnType<typeof createRequestHandler>;
export declare function createRequestHandler({ build, getLoadContext, mode, originPaths, onError }: {
    build: ServerBuild;
    getLoadContext?: GetLoadContextFunction;
    mode?: string;
    originPaths?: (string | RegExp)[];
    onError?: (e: Error) => void;
}): CloudFrontRequestHandler;
export declare function createCloudFrontHeaders(responseHeaders: NodeHeaders): CloudFrontHeaders;
export declare function createRemixHeaders(requestHeaders: CloudFrontHeaders): NodeHeaders;
export declare function createRemixRequest(event: CloudFrontRequestEvent): NodeRequest;
